## commons-jci 1.0

=== debian/changelog ===
commons-jci (1.0-5) unstable; urgency=low

  * d/control: Drop Depends on default-jre per Debian Java Policy as its
    a library package.
  * d/control: B-D and Depends on librhino-java instead of rhino
    (ie. so no JRE in dependencies graph).
  * Bump Standards-Version 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 25 Jun 2011 13:06:33 +0200

commons-jci (1.0-4) unstable; urgency=low

  [ Torsten Werner ]
  * Change maintainers into Maintainers.

  [ Onkar Shinde ]
  * Team upload.
  * Convert package to 3.0 source format.
  * asm2 -> asm3 transition.
  * Update standards version to 3.8.4.
  * Link javadoc against the system installed javadoc.
  * Install API docs to /usr/share/doc/libcommons-jci-java/ instead of
    /usr/share/doc/libcommons-jci-java-doc/. Update doc-base file accordingly.

  [ Damien Raude-Morvan ]
  * Update to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 23 Jun 2010 19:26:21 +0200

commons-jci (1.0-3) unstable; urgency=low

  * Update my email address
  * Bump Standards-Version 3.8.3 (no changes needed)
  * Bump debhelper version to 7
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpoms and mh_installjar to install the POM and the jar to the
      Maven repository
  * Maven ant helper (build system):
    - Add a Build-Depends dependency on maven-ant-helper
    - Update debian/build.xml to use /usr/share/maven-ant-helper/maven-build.xml
    - Build classpath is now defined in debian/build.properties
  * Use default-jdk:
    - Build-Depend on default-jdk instead of openjdk-6-jdk
    - Depends on default-jre-headless
    - Use /usr/lib/jvm/default-java as JAVA_HOME

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 24 Nov 2009 00:29:48 +0100

commons-jci (1.0-2) unstable; urgency=low

  * Upload to unstable as Lenny is now released
  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Switch to Quilt patch system:
    - Refresh all patches
    - Remove B-D on dpatch, Add B-D on quilt
    - Include patchsys-quilt.mk in debian/rules  
  * Bump Standards-Version 3.8.2:
    - Add a README.source to describe patch system
    - Move libcommons-jci-java-* to "java" section
  * Depends on default-jre-headless instead of java-gcj-compat

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Fri, 17 Jul 2009 16:09:24 +0200

commons-jci (1.0-1) experimental; urgency=low

  * Initial release. (Closes: #499448)
  * debian/control:
    - each binary package now depends on headless version of java-gcj-compat
    - don't use alternative in B-D line (increase build reproducibility)
  * Include examples in libcommons-jci-java-doc package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 29 Nov 2008 22:48:17 +0100
