=== debian/control ===
Source: commons-jci
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>
Standards-Version: 3.9.2
Section: java
Priority: optional
Build-Depends: default-jdk, ant, debhelper (>= 7), cdbs, maven-ant-helper
Build-Depends-Indep: libcommons-io-java, libcommons-lang-java, libcommons-logging-java,
 libasm3-java, groovy, librhino-java, janino, libecj-java, maven-repo-helper,
 default-jdk-doc
Homepage: http://commons.apache.org/jci/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/commons-jci/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/commons-jci/

Package: libcommons-jci-java
Architecture: all
Depends: ${misc:Depends}, libcommons-io-java, libcommons-lang-java, libcommons-logging-java, libasm3-java
Description: common Java interface for various compilers - Core and FAM
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains FAM and Core module of Commons JCI.

Package: libcommons-jci-rhino-java
Architecture: all
Depends: ${misc:Depends}, libcommons-jci-java (= ${source:Version}), librhino-java
Description: common Java interface for various compilers - Javascript
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Rhino compiler (Javascript) module of Commons JCI.

Package: libcommons-jci-groovy-java
Architecture: all
Depends: ${misc:Depends}, libcommons-jci-java (= ${source:Version}), groovy
Description: common Java interface for various compilers - Groovy
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Groovy compiler module of Commons JCI.

Package: libcommons-jci-janino-java
Architecture: all
Depends: ${misc:Depends}, libcommons-jci-java (= ${source:Version}), janino
Description: common Java interface for various compilers - Janino
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Janino compiler module of Commons JCI.

Package: libcommons-jci-eclipse-java
Architecture: all
Depends: ${misc:Depends}, libcommons-jci-java (= ${source:Version}), libecj-java
Description: common Java interface for various compilers - Eclipse JDT
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Eclipse JDT compiler module of Commons JCI.

#Package: libcommons-jci-jsr199-java
#Architecture: all
#Depends: ${misc:Depends}, libcommons-jci-java (= ${source:Version})
#Description: common Java interface for various compilers - Java6 JSR199
# Commons JCI is a common Java compiler interface for various compilers.
# .
# It can be used to either compile Java (or any other language that can be
# compiled to Java classes like e.g. Groovy or Javascript) to Java.
# .
# It is integrated with a Java FAM (Filesystem Alteration Monitor)
# that can be used with JCI compiling/reloading classloader.
# .
# This package contains Java6 JSR199 compiler module of Commons JCI.
# .
# Need a Java 6 compliant runtime environnement.

Package: libcommons-jci-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: default-jdk-doc
Suggests: libcommons-jci-java
Description: common Java interface for various compilers - documentation
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Javadoc API of Commons JCI.
