=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(DEB_SOURCE_PACKAGE)
VERSION              := $(DEB_UPSTREAM_VERSION)

JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-nodeps
DEB_ANT_BUILD_TARGET := package javadoc
DEB_ANT_BUILDFILE    := debian/build.xml
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION)

binary-post-install/libcommons-jci-java::
	mh_installpoms -plibcommons-jci-java
	mh_installjar -plibcommons-jci-java -l core/pom.xml core/build/commons-jci-core-$(VERSION).jar
	mh_installjar -plibcommons-jci-java -l fam/pom.xml fam/build/commons-jci-fam-$(VERSION).jar

binary-post-install/libcommons-jci-rhino-java::
	mh_installpoms -plibcommons-jci-rhino-java
	mh_installjar -plibcommons-jci-rhino-java -l compilers/rhino/pom.xml compilers/rhino/build/commons-jci-rhino-$(VERSION).jar

binary-post-install/libcommons-jci-groovy-java::
	mh_installpoms -plibcommons-jci-groovy-java
	mh_installjar -plibcommons-jci-groovy-java -l compilers/groovy/pom.xml compilers/groovy/build/commons-jci-groovy-$(VERSION).jar

binary-post-install/libcommons-jci-janino-java::
	mh_installpoms -plibcommons-jci-janino-java
	mh_installjar -plibcommons-jci-janino-java -l compilers/janino/pom.xml compilers/janino/build/commons-jci-janino-$(VERSION).jar

binary-post-install/libcommons-jci-eclipse-java::
	mh_installpoms -plibcommons-jci-eclipse-java
	mh_installjar -plibcommons-jci-eclipse-java -l compilers/eclipse/pom.xml compilers/eclipse/build/commons-jci-eclipse-$(VERSION).jar

get-orig-source:
	uscan --force-download --rename
