## commons-jci 1.1

=== debian/changelog ===
commons-jci (1.1-9) unstable; urgency=medium

  * Team upload
  * Providing the new package names from janino 3.1.12
  * Raising d/watch version to 4
  * Setting Rules-Requires-Root: no
  * Building against janino/3.1.12 (Closes: #1095119)
  * Installing the Apache-2.0 NOTICE.txt file in the binary packages

 -- Pierre Gruet <pgt@debian.org>  Mon, 03 Feb 2025 23:40:09 +0100

commons-jci (1.1-8) unstable; urgency=medium

  * Fixed the build failure with eclipse-jdt 4.29 (Closes: #1078412)
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Oct 2024 15:39:46 +0200

commons-jci (1.1-7) unstable; urgency=medium

  * libcommons-jci-eclipse-java now depends on libeclipse-jdt-core-java
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 Jan 2023 12:32:28 +0100

commons-jci (1.1-6) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Correct bug number in prior changelog entry.

  [ Emmanuel Bourg ]
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889381)
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Removed the -doc package
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12
  * Use a secure watch URL
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Apr 2020 09:56:28 +0200

commons-jci (1.1-5) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Removed the unused build dependency on libmaven-install-plugin-java

  [ tony mancill ]
  * Moved the package to Git
  * Add wagon-ssh-external to maven.ignoreRules (Closes: #882518)
  * Use debhelper 10.
  * Bump Standards-Version to 4.1.2

 -- tony mancill <tmancill@debian.org>  Sun, 03 Dec 2017 16:57:29 -0800

commons-jci (1.1-4) unstable; urgency=medium

  * Team upload.
  * Build with maven-debian-helper instead of maven-ant-helper
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Depend on groovy instead of groovy2
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 13:12:37 +0200

commons-jci (1.1-3) unstable; urgency=medium

  * Team upload.
  * Transition to Groovy 2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Nov 2015 13:32:21 +0100

commons-jci (1.1-2) unstable; urgency=medium

  * Transition to libasm4-java
  * Standards-Version updated to 3.9.5 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 May 2014 17:21:17 +0200

commons-jci (1.1-1) unstable; urgency=low

  * New upstream release
  * Dropped the patches merged upstream

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Oct 2013 00:26:36 +0200

commons-jci (1.0-7) unstable; urgency=low

  * Fix build with janino 2.6.x release:
   - d/patches/01_janino_version_change.diff: Updated.
   - d/control: Tighten dependencies to libjanino-java (>= 2.6.0).
  * d/control: Wrap-and-sort.
  * d/compat: Bump debhelper compat to 9.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 16 Aug 2013 14:16:11 +0200

commons-jci (1.0-6) unstable; urgency=low

  * Added a patch to compile with Eclipse JDT compiler 3.8 and later
    (Closes: #713759)
  * Updated Standards-Version to 3.9.4 (no changes)
  * Use canonical URLs for the Vcs-* fields
  * debian/rules: Added a clean target to allow rebuilds
  * debian/copyright: Updated to the copyright format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Jun 2013 00:07:38 +0200
