=== debian/control ===
Source: commons-jci
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 12),
 default-jdk,
 default-jdk-doc,
 groovy,
 junit4,
 libasm-java (>= 5.0),
 libcommons-io-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 libeclipse-jdt-core-java,
 libjanino-java (>= 3.1.12+dfsg),
 libmaven-antrun-plugin-java,
 libmaven-javadoc-plugin-java,
 librhino-java,
 maven-debian-helper
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/commons-jci.git
Vcs-Browser: https://salsa.debian.org/java-team/commons-jci
Homepage: http://commons.apache.org/jci/
Rules-Requires-Root: no

Package: libcommons-jci-java
Architecture: all
Depends:
 libasm-java (>= 5.0),
 libcommons-io-java,
 libcommons-lang3-java,
 libcommons-logging-java,
 ${misc:Depends}
Description: common Java interface for various compilers - Core and FAM
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains FAM and Core module of Commons JCI.

Package: libcommons-jci-rhino-java
Architecture: all
Depends:
 libcommons-jci-java (= ${source:Version}),
 librhino-java,
 ${misc:Depends}
Description: common Java interface for various compilers - Javascript
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Rhino compiler (Javascript) module of Commons JCI.

Package: libcommons-jci-groovy-java
Architecture: all
Depends: groovy, libcommons-jci-java (= ${source:Version}), ${misc:Depends}
Description: common Java interface for various compilers - Groovy
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Groovy compiler module of Commons JCI.

Package: libcommons-jci-janino-java
Architecture: all
Depends:
 libcommons-jci-java (= ${source:Version}),
 libjanino-java (>= 2.6.0),
 ${misc:Depends}
Description: common Java interface for various compilers - Janino
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Janino compiler module of Commons JCI.

Package: libcommons-jci-eclipse-java
Architecture: all
Depends: libcommons-jci-java (= ${source:Version}), libeclipse-jdt-core-java, ${misc:Depends}
Description: common Java interface for various compilers - Eclipse JDT
 Commons JCI is a common Java compiler interface for various compilers.
 .
 It can be used to either compile Java (or any other language that can be
 compiled to Java classes like e.g. Groovy or Javascript) to Java.
 .
 It is integrated with a Java FAM (Filesystem Alteration Monitor)
 that can be used with JCI compiling/reloading classloader.
 .
 This package contains Eclipse JDT compiler module of Commons JCI.
